
SCM Creator (+Github) - Feature #1781

The .git addition should be optional

09 Jun 2011 06:35 - Sim COU

Status: Closed Start date: 09 Jun 2011

Priority: Normal Due date: 14 Jun 2011

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2.0   

External issue:    

Description

When using Redmine based authentication, there is no way to tell the plugin to create repositories without the .git extension.

Make it optional could be cool.

Thanks

History

#1 - 09 Jun 2011 13:59 - Andriy Lesyuk

- Status changed from New to Incomplete

Hi! Thanks for reporting!

Are you using auto_create?..

#2 - 09 Jun 2011 14:26 - Sim COU

Hi,

Yes, I do. I looked at the code and using auto_create or not doesn’t change anything since the '.git’ is hard coded.

I patched it at home so it is added only if add_ext is true in scm.yml

I can give you my patch but I think it’s not very pretty add perhaps it doesn’t handle all cases 

As you want 

#3 - 09 Jun 2011 15:42 - Andriy Lesyuk

- Status changed from Incomplete to Open

- Assignee set to Andriy Lesyuk

If you don’t use auto_create you can just remove .git from input field - that’s why I asked... Actually it’s a good idea to add an option to disable/enable

.git. Thanks!

This is too small change and I will perhaps use another name e.g. git_ext so not sure about the patch...  Thanks anyway.

#4 - 14 Jun 2011 11:31 - Andriy Lesyuk

- Target version set to 0.2.0

#5 - 14 Jun 2011 21:08 - Andriy Lesyuk

- Due date set to 14 Jun 2011
- Status changed from Open to In Progress

- % Done changed from 0 to 100

Added git_ext... Usage:

production:

  auto_create: false

  deny_delete: true

  git:

    path: /var/lib/git

    git: /usr/bin/git

    options: --bare

    git_ext: true

#6 - 14 Jun 2011 21:56 - Andriy Lesyuk

- Status changed from In Progress to Closed
